Box2D: b2WheelJoint Class Reference

| Box2D 2.4.0 A 2D physics engine for games

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2WheelJoint Class Reference

`#include <b2_wheel_joint.h>`

Inheritance diagram for b2WheelJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const override
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const override
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float inv_dt) const override
| Get the reaction force on bodyB at the joint anchor in Newtons.
float | GetReactionTorque (float inv_dt) const override
| Get the reaction torque on bodyB in N*m.
const b2Vec2 & | GetLocalAnchorA () const
| The local anchor point relative to bodyA's origin.
const b2Vec2 & | GetLocalAnchorB () const
| The local anchor point relative to bodyB's origin.
const b2Vec2 & | GetLocalAxisA () const
| The local joint axis relative to bodyA.
float | GetJointTranslation () const
| Get the current joint translation, usually in meters.
float | GetJointLinearSpeed () const
| Get the current joint linear speed, usually in meters per second.
float | GetJointAngle () const
| Get the current joint angle in radians.
float | GetJointAngularSpeed () const
| Get the current joint angular speed in radians per second.
bool | IsLimitEnabled () const
| Is the joint limit enabled?
void | EnableLimit (bool flag)
| Enable/disable the joint translation limit.
float | GetLowerLimit () const
| Get the lower joint translation limit, usually in meters.
float | GetUpperLimit () const
| Get the upper joint translation limit, usually in meters.
void | SetLimits (float lower, float upper)
| Set the joint translation limits, usually in meters.
bool | IsMotorEnabled () const
| Is the joint motor enabled?
void | EnableMotor (bool flag)
| Enable/disable the joint motor.
void | SetMotorSpeed (float speed)
| Set the motor speed, usually in radians per second.
float | GetMotorSpeed () const
| Get the motor speed, usually in radians per second.
void | SetMaxMotorTorque (float torque)
| Set/Get the maximum motor force, usually in N-m.
float | GetMaxMotorTorque () const
float | GetMotorTorque (float inv_dt) const
| Get the current motor torque given the inverse time step, usually in N-m.
void | SetStiffness (float stiffness)
| Access spring stiffness.
float | GetStiffness () const
void | SetDamping (float damping)
| Access damping.
float | GetDamping () const
void | Dump () override
| Dump to b2Log.
void | Draw (b2Draw *draw) const override
| Debug draw this joint.
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint.
b2Body * | GetBodyA ()
| Get the first body attached to this joint.
b2Body * | GetBodyB ()
| Get the second body attached to this joint.
b2Joint * | GetNext ()
| Get the next joint the world joint list.
const b2Joint * | GetNext () const
void * | GetUserData () const
| Get the user data pointer.
void | SetUserData (void *data)
| Set the user data pointer.
bool | IsEnabled () const
| Short-cut function to determine if either body is enabled.
bool | GetCollideConnected () const
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates.

## Protected Member Functions
| b2WheelJoint (const b2WheelJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data) override
void | SolveVelocityConstraints (const b2SolverData &data) override
bool | SolvePositionConstraints (const b2SolverData &data) override
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)

## Protected Attributes
b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
b2Vec2 | m_localXAxisA
b2Vec2 | m_localYAxisA
float | m_impulse
float | m_motorImpulse
float | m_springImpulse
float | m_lowerImpulse
float | m_upperImpulse
float | m_translation
float | m_lowerTranslation
float | m_upperTranslation
float | m_maxMotorTorque
float | m_motorSpeed
bool | m_enableLimit
bool | m_enableMotor
float | m_stiffness
float | m_damping
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_localCenterA
b2Vec2 | m_localCenterB
float | m_invMassA
float | m_invMassB
float | m_invIA
float | m_invIB
b2Vec2 | m_ax
b2Vec2 | m_ay
float | m_sAx
float | m_sBx
float | m_sAy
float | m_sBy
float | m_mass
float | m_motorMass
float | m_axialMass
float | m_springMass
float | m_bias
float | m_gamma
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
void * | m_userData

## Friends
class | b2Joint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

A wheel joint. This joint provides two degrees of freedom: translation along an axis fixed in bodyA and rotation in the plane. In other words, it is a point to line constraint with a rotational motor and a linear spring/damper. The spring/damper is initialized upon creation. This joint is designed for vehicle suspensions.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-adaedf1772ede7420bc9ee569c8cba7952db91a0/include/box2d/b2_wheel_joint.h